curl --request POST \
--url https://www.fluenterp.com/api/v1/agents/{agent_id}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"files": [
{
"file_key": "agents/example/invoice.pdf",
"file_name": "invoice.pdf",
"content_type": "application/pdf"
}
],
"process_together": false
}
'{
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"message": "<string>"
}
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}Agents
Create an agent run
Starts an asynchronous run with uploaded files, a user message, or both. OAuth tokens require the runs:write scope. In addition to the credential limit, this operation is limited to 30 requests per 60 seconds per agent.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
run
curl --request POST \
--url https://www.fluenterp.com/api/v1/agents/{agent_id}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"files": [
{
"file_key": "agents/example/invoice.pdf",
"file_name": "invoice.pdf",
"content_type": "application/pdf"
}
],
"process_together": false
}
'{
"data": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"message": "<string>"
}
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}Authorizations
ApiKeyBearerCredentialOAuth2
A Fluent API key beginning with fl-.
Path Parameters
Fluent agent ID.
Body
application/json
- Option 1
- Option 2
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Instruction or text input for the agent.
Process foreground files in one agent conversation.
Email to notify when processing finishes.
Files available to tools but not read directly by the agent.
Maximum array length:
10Show child attributes
Show child attributes
Response
Run queued
Show child attributes
Show child attributes